module Octokom
  module Shell
    def info(message)
      puts "Info    #{message}"
    end

    def error(message)
      puts "Error   #{message}"
      exit(1)
    end

    # Print a waiting message before a long running task and replace
    # the message as soon as the task has finished.
    def task(message)
      print "Waiting #{message}"
      yield
      print "\r"
      print "Done    #{message}"
      puts
    end
  end
end
